%define debug_package %{nil}

Summary:	This package contains all of the kernel objects for all of the kernels for the currently supported versions of Fedora in the CERT Linux Repository.

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		lime-kernel-objects
Version:	1.1.r17
%define REL 28
Release:	%{REL}%{?dist}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source0:	lime-forensics-%{version}.tar.gz
Source1:	%{name}-%{version}-%{REL}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

%description
This package provides kernel objects for all of the Fedora kernels distributed by RedHat.
It also includes a script to install and use those kernel objects.

%prep
%setup -n lime-forensics-%{version}

%build

%install
%{__install} -d %{buildroot}%{_datadir}
tar zxf %{SOURCE1} -C %{buildroot}%{_datadir}
ln -s %{name}-%{version} %{buildroot}%{_datadir}/%{name}
%{__install} -d %{buildroot}%{_bindir}
%{__install} -m 755 CaptureMemoryWithLime %{buildroot}/%{_bindir}
%__install -d %{buildroot}%{_mandir}/man1
%__install CaptureMemoryWithLime.1 %{buildroot}%{_mandir}/man1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc disk.c lime.h main.c tcp.c Makefile Makefile.sample LiME_Documentation_1.1.pdf 
%attr(744, root, root)	%{_datadir}/%{name}-%{version}/*/*.ko
%attr(755, root, root)	%{_datadir}/%{name}
%attr(755, root, root)	%{_bindir}/CaptureMemoryWithLime
%attr(0644, root, root)	%{_mandir}/man1/*.1.gz

%changelog
* Thu May 22 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-28
	Added: 3.14.4-200	for FC20
	Added: 3.14.3-200	for FC20
	Added: 3.14.2-200	for FC20
	Added: 3.13.9-200	for FC20
	Added: 3.13.8-200	for FC20
	Added: 3.13.7-200	for FC20
	Added: 3.13.10-200	for FC20
	Added: 3.14.4-100	for FC19
	Added: 3.13.9-100	for FC19
	Added: 3.13.7-100	for FC19
	Added: 3.13.11-100	for FC19
	Added: 2.6.32-431.17.1	for EL6
	Added: 2.6.32-431.11.2	for EL6
	Added: 2.6.18-371.8.1	for EL5
	Added: 2.6.18-371.6.1	for EL5

* Mon Feb 10 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-27
	Added: 3.13.6-200	for FC20
	Added: 3.13.5-202	for FC20
	Added: 3.13.5-200	for FC20
	Added: 3.13.4-200	for FC20
	Added: 3.13.3-201	for FC20
	Added: 3.12.10-300	for FC20
	Added: 3.13.6-100	for FC19
	Added: 3.13.5-103	for FC19
	Added: 3.13.5-101	for FC19
	Added: 3.12.11-201	for FC19
	Added: 2.6.32-431.5.1	for EL6

* Wed Feb 05 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-26
	Initial version. Here are the kernels supported by this version:

	FC20
	3.11.10-301	      3.12.5-302	    3.12.6-300		  3.12.7-300		3.12.8-300

	FC19
	3.9.5-301	      3.10.6-200	    3.11.1-200		  3.11.7-200		3.12.5-200
	3.9.9-302	      3.10.7-200	    3.11.2-201		  3.11.8-200		3.12.6-200
	3.10.3-300	      3.10.9-200	    3.11.3-201		  3.11.9-200		3.12.7-200
	3.10.4-300	      3.10.10-200	    3.11.4-201		  3.11.10-200		3.12.8-200
	3.10.5-201	      3.10.11-200	    3.11.6-200	                                3.12.9-201

	FC18
	3.6.10-4	      3.8.2-206		    3.8.11-200		  3.9.11-200		3.10.12-100
	3.7.4-204	      3.8.3-201		    3.9.2-200		  3.10.4-100		3.10.13-101
	3.7.5-201	      3.8.4-202		    3.9.4-200		  3.10.6-100		3.10.14-100
	3.7.6-201	      3.8.5-201		    3.9.5-201		  3.10.7-100		3.11.4-101
	3.7.7-201	      3.8.6-203		    3.9.6-200		  3.10.9-100		3.11.7-100
	3.7.8-202	      3.8.7-201		    3.9.9-201		  3.10.10-100		3.11.9-100
	3.7.9-201	      3.8.8-202		    3.9.10-200		  3.10.11-100		3.11.10-100
	3.8.1-201	      3.8.9-200

	FC17
	3.3.4-5		      3.5.0-2		    3.6.1-1		  3.6.9-2		3.8.4-102
	3.3.7-1		      3.5.1-1		    3.6.2-4		  3.6.10-2		3.8.8-100
	3.4.0-1		      3.5.2-1		    3.6.3-1		  3.6.11-1		3.8.11-100
	3.4.2-4		      3.5.3-1		    3.6.5-1		  3.7.3-101		3.8.12-100
	3.4.3-1		      3.5.4-1		    3.6.6-1		  3.7.6-102		3.8.13-100
	3.4.4-3		      3.5.5-2		    3.6.7-4		  3.7.9-101		3.9.8-100
	3.4.5-2		      3.5.6-1		    3.6.8-2		  3.8.3-103		3.9.10-100
	3.4.6-2

	CentOS/RHEL 6
	2.6.32-71	      2.6.32-71.29.1	    2.6.32-279		  2.6.32-358.18.1	2.6.32-431
	2.6.32-71.14.1	      2.6.32-71.7.1	    2.6.32-358.0.1	  2.6.32-358.2.1	2.6.32-431.1.2.0.1
	2.6.32-71.18.1	      2.6.32-131.0.15	    2.6.32-358.11.1	  2.6.32-358.23.2	2.6.32-431.3.1
	2.6.32-71.24.1	      2.6.32-220	    2.6.32-358.14.1	  2.6.32-358.6.1

	CentOS/RHEL 5
	2.6.18-8	      2.6.18-164.10.1	    2.6.18-194.8.1	  2.6.18-274.7.1	2.6.18-348.12.1
	2.6.18-8.1.10	      2.6.18-164.11.1	    2.6.18-238		  2.6.18-308		2.6.18-348.16.1
	2.6.18-53	      2.6.18-164.15.1	    2.6.18-238.1.1	  2.6.18-308.1.1	2.6.18-348.18.1
	2.6.18-53.1.13	      2.6.18-164.2.1	    2.6.18-238.12.1	  2.6.18-308.11.1	2.6.18-348.2.1
	2.6.18-92	      2.6.18-164.6.1	    2.6.18-238.19.1	  2.6.18-308.13.1	2.6.18-348.3.1
	2.6.18-92.1.10	      2.6.18-164.9.1	    2.6.18-238.5.1	  2.6.18-308.16.1	2.6.18-348.4.1
	2.6.18-128	      2.6.18-194	    2.6.18-238.9.1	  2.6.18-308.20.1	2.6.18-348.6.1
	2.6.18-128.1.10	      2.6.18-194.11.1	    2.6.18-274		  2.6.18-308.24.1	2.6.18-371
	2.6.18-128.2.1	      2.6.18-194.17.1	    2.6.18-274.12.1	  2.6.18-308.4.1	2.6.18-371.1.2
	2.6.18-128.4.1	      2.6.18-194.26.1	    2.6.18-274.17.1	  2.6.18-308.8.1	2.6.18-371.3.1
	2.6.18-128.7.1	      2.6.18-194.3.1	    2.6.18-274.18.1	  2.6.18-348		2.6.18-371.4.1
	2.6.18-164	      2.6.18-194.32.1	    2.6.18-274.3.1	  2.6.18-348.1.1

